/*
 * Class EV_KEY
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1292 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1292 [] = {0xFF01,1551,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1292 [] = {0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1292 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1292 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1292 [] = {0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1292 [] = {0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1292 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1292 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1292 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1292 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1292 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1292 [] = {0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1292 [] = {0xFF01,1559,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1292 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_1292[] = {
	{EIF_GENERIC(NULL), 28459, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1292), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1292), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1292), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1292), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1292), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1292), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1292), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1292), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1292), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1292), 28458, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1292), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1292), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28460, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A17 /*1291*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1292), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7021, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7024, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7025, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7030, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7033, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7037, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7044, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7046, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7048, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7049, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7050, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7051, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7053, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7055, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7057, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7058, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7059, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7061, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7068, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7069, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7074, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7077, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7081, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7083, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7084, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7085, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7086, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7090, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7094, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6995, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6996, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6997, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6999, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7000, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7001, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7003, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7004, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7005, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1292), 7013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28448, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28449, 0},
	{EIF_GENERIC(NULL), 28450, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1292), 28457, 0xFFFFFFFF},
};
void Init1292(void)
{
	IDSC(desc_1292, 0, 1291);
	IDSC(desc_1292 + 1, 1, 1291);
	IDSC(desc_1292 + 32, 857, 1291);
	IDSC(desc_1292 + 134, 1094, 1291);
}


#ifdef __cplusplus
}
#endif
